/export call (e.g. hours of footage).errorCode: 1000) and begins splitting the total duration into sub-tasks of at mostmaxChunkDuration milliseconds each. Re-poll the identical request body attimeWait-millisecond intervals to observe progress:errorCode: 1001 — processing in progress; videoList may already containerrorCode: 1005 — all chunks are done; videoList is complete.videoList has an isCompleted flag.maxChunkDuration controls the granularity/count of output files. Smaller values| Code | Message | Cause |
|---|---|---|
1000 | task created successfully | Task registered; begin polling (timeWait > 0) |
1001 | work not finish. | Still processing — wait timeWait ms and poll again |
1004 | file already exist. | Source filename conflict (intermediate state) |
1005 | Work Finish | All chunks exported successfully (terminal, timeWait = 0) |
1017 | add user task fail. | Internal error creating the job; retry |
1018 | the request param abnormal. | A required field is missing or invalid |
1019 | init aws s3 sdk failed, please contact TVU Support. | Destination storage credentials are invalid |
1031 | video export time exceeds limit. | System export quota reached |
1032 | the number of user max export task exceeds limit. | User concurrent export limit reached |
1037 | search son dir info fail. | Failed to find source subdirectory information |
1038 | subtask splitting process failed. | Failed to split the duration into sub-tasks |
1046 | insufficient remaining free space | Server disk full |
1050 | (locate source failed) | Cannot find source TS files for the time range |
1084 | from redis get user task fail. | Cache error; retry |
1086 | get source ts signature url fail. | Failed to sign source media URL |
1093 | verify required ts fail. | Source TS file check failed |
1099 | Media processing encountered an exception. Please retry... | Unexpected error |
curl --location 'https://api.tvunetworks.com/longexport' \
--header 'SID: 92575d36dcb631ac94745e6b157de17a5a13d65b31e44869f06854ab928dd80235d4daae8696b4a92a7be5f802c45a219648701fc9ca59f44e9c0f022d5d38a7' \
--header 'Content-Type: application/json' \
--data-raw '{
"filePath": "https://mma-video-new.s3.us-east-1.amazonaws.com/ts/PRODUCER_RECORDINGS/source-001/live-001/1/play.m3u8",
"startTime": 1700000000000,
"duration": 3600000,
"maxChunkDuration": 600000,
"userAccount": "user@example.com",
"fileName": "long_clip_20231114",
"fileType": "ts",
"destination": {
"cloudVendor": "s3",
"bucket": "media-export-bucket",
"region": "us-east-1",
"folder": "export/"
}
}'{
"errorCode": 1005,
"errorMsg": "Work Finish",
"timeWait": 0,
"videoList": [
{
"startTime": 1700000000000,
"duration": 600000,
"videoPath": "https://media-export-bucket.s3.us-east-1.amazonaws.com/export/long_clip_20231114-1.ts",
"isCompleted": true
},
{
"startTime": 1700000600000,
"duration": 600000,
"videoPath": "https://media-export-bucket.s3.us-east-1.amazonaws.com/export/long_clip_20231114-2.ts",
"isCompleted": true
}
]
}